/* Page-specific styles for packages.html */
.packages-page {
  background-color: var(--secondary);
}


/*-- -------------------------- -->
<---       Packages SBS         -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {

  #sbs-packages {
    padding: 0 1em;
    position: relative;
    z-index: 1;
    background-color: var(--secondary);
    padding-top: 5%;
  }

  #sbs-packages .bcw-text {
    color: var(--bodyTextColor)
  }

  #sbs-packages .bcw-container {
    width: 100%;
    /* changes to 1280px on tablet */
    max-width: 34.375rem;
    padding: var(--sectionPadding);
    margin: auto;
    margin-bottom: 10%;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 48px - 108px */
    gap: clamp(3rem, 8vw, 6.75rem);
    position: relative;
    border: solid 1px var(--bodyTextColor);
  }

  #sbs-packages .bcw-content,
  #sbs-packages .bcw-content2 {
    /* set text align to left if content needs to be left aligned */
    text-align: center;
    /* changes at tablet */
    max-width: 27.125rem;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: center;
  }

  #sbs-packages .bcw-content {
    width: 95%;
  }

  #sbs-packages .bcw-title {
    max-width: 20ch;
    color: var(--bodyTextColor);
    margin-bottom: 0;
  }

  #sbs-packages ul {
    list-style-type: disc;
    /* Keep default bullet points */

    margin: 0;
    /* Remove default margin */
    text-align: center;
    /* Center the list itself */
    display: inline-block;
    /* Allow centering of the entire list */
  }

  #sbs-packages li {
    text-align: left;
    /* Left-align the text within each list item */
    margin: 0.5rem 0;
    /* Adjust vertical spacing between items */
  }

  #sbs-packages .bcw-text {
    margin-bottom: 1rem;
    max-width: 65%;
  }

  #sbs-packages .bcw-text:last-of-type {
    margin-bottom: 2rem;
  }

  #sbs-packages .bcw-price {
    font-size: 1.5rem;
    /* 46px - 56px */
    line-height: clamp(2.875rem, 5.5vw, 3.5rem);
    text-decoration: none;
    font-weight: 500;
    text-align: center;
    margin: 0;
    color: var(--bodyTextColor);
    border: 1px solid var(--bodyTextColor);
    min-width: 9.375rem;
    padding: 0 1.5rem;
    display: inline-block;
    position: relative;
    z-index: 1;
    /* prevents padding from adding to the width */
    box-sizing: border-box;
  }

  #sbs-packages .bcw-picture,
  #sbs-packages .bcw-picture1,
  #sbs-packages .bcw-picture2 {
    width: 90%;
    margin: 0;
    position: relative;
    display: block;
    /* width divided by height */
    aspect-ratio: 1.77;
    border: solid 4px var(--bodyTextColor);
    border-bottom: solid 16px var(--bodyTextColor);
    /* prevents border from adding to height and width */
    box-sizing: border-box;
  }


  #sbs-packages .bcw-picture1,
  #sbs-packages .bcw-picture2 {
    margin-top: 3%;
    margin-bottom: 3%;
    aspect-ratio: .67;
    width: 50%;
  }

  #sbs-packages .bcw-picture2 {
    aspect-ratio: 1.5;
  }

  #sbs-packages .bcw-picture img,
  #sbs-packages .bcw-picture1 img,
  #sbs-packages .bcw-picture2 img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
  }


  #sbs-packages .bcw-background {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    /* makes it act like a background image */
    object-fit: cover;
    opacity: .2;
  }
}

/* Tablet - 768px */
@media only screen and (min-width: 767px) {

  #sbs-packages {
    padding-top: 0;
  }

  #sbs-packages .bcw-container {
    max-width: 80rem;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-bottom: 5%;
  }

  #sbs-packages .bcw-text {
    margin-bottom: 1rem;
    max-width: 100%;
  }


  #sbs-packages .bcw-picture {
    width: 50%;
    flex: none;
  }


  #sbs-packages .bcw-picture {
    /* 344px - 434px */
    width: 50%;
    flex: none;
  }

  #sbs-packages .bcw-content,
  #sbs-packages .bcw-content2 {
    max-width: 33.875rem;
    margin: 0;
    width: 45%;
    text-align: left;
    align-items: flex-start;
  }

  #sbs-packages .bcw-content2 {
    width: 30%;
  }

}

/* Tablet - 768px */
@media only screen and (min-width: 1000px) {

  #sbs-packages .bcw-content2 {
    max-width: 25%;
    margin: 0;

  }

  #sbs-packages .bcw-container {
    padding-left: 10%;
    padding-right: 10%;
  }

  #sbs-packages .bcw-picture {
    width: 55%;
  }

}

/* Tablet - 768px */
@media only screen and (min-width: 1400px) {

  #sbs-packages .bcw-container {
    padding-left: 4%;
    padding-right: 4%;
  }

}


/*-- -------------------------- -->
<---    Top Banner w/ Text      -->
<--- -------------------------- -*/

/* Tablet - 768px */
@media only screen and (min-width: 0px) {

  #Banner-Section-With-Text {
    margin-bottom: 5%;
  }

  /* Fixed banner styles */
  #Banner-Section-With-Text .banner {
    position: relative;
    width: 100%;
    height: 25vh;
    overflow: hidden;
    max-height: 300px;
    border-bottom: solid 1px var(--bodyTextColor)
  }

  #Banner-Section-With-Text .banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  /* Add the black tint overlay */
  #Banner-Section-With-Text .banner::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    /* Black tint with 50% opacity */
    z-index: 1;
    /* Ensure it sits on top of the image but below the text box */
  }


  #Banner-Section-With-Text .text-box {
    position: absolute;
    top: 50%;
    left: 50%;
    /* Change from 5% to 50% for horizontal centering */
    transform: translate(-50%, -50%);
    /* Center both horizontally and vertically */
    color: var(--bodyTextColor);
    padding: 20px;
    max-width: 50%;
    /* Limit width for better readability */
    z-index: 2;
  }


  #Banner-Section-With-Text .text-box p {
    margin: 0;
    font-size: var(--headerFontSize);
    text-align: center;
    line-height: 2.5rem;
  }

}

/* Tablet - 768px */
@media only screen and (min-width: 600px) {

  /* Fixed banner styles */
  #Banner-Section-With-Text .banner {
    height: 40vh;
  }

}


/*-- -------------------------- -->
<---       FAQ Side By Side     -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {

  #sbs-faq {
    padding: 0 1em;
    position: relative;
    z-index: 1;
    background-color: var(--tertiary);
    background-image: url(data:image/png;base64,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);

  }

  #sbs-faq .bcw-text {
    color: var(--primary);
    font-weight: 800;
  }

  #sbs-faq .bcw-container {
    width: 100%;
    /* changes to 1280px on tablet */
    max-width: 34.375rem;
    padding: var(--sectionPadding);
    padding-left: 0;
    padding-right: 0;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 48px - 108px */
    position: relative;
  }

  #sbs-faq .bcw-content {
    /* set text align to left if content needs to be left aligned */
    text-align: center;
    width: 100%;
    /* changes at tablet */
    max-width: 27.125rem;
    display: flex;
    flex-direction: column;
    text-align: left;
    /* centers content horizontally, set to flex-start to left align */
    align-items: left;

  }

  #sbs-faq .bcw-content {
    align-items: center;
  }


  #sbs-faq .bcw-title {
    max-width: 20ch;
    color: var(--bodyTextColor)
  }

  #sbs-faq .bcw-text {
    margin-bottom: 1rem;

  }

  #sbs-faq .bcw-topper {
    color: var(--primary);
    border-bottom: solid 1px var(--primary);
    width: 100%;
    font-size: 1.2rem;
  }

  #sbs-faq .bcw-text:last-of-type {
    margin-bottom: 2rem;
  }
}


/* Tablet - 768px */
@media only screen and (min-width: 48rem) {

  #sbs-faq .bcw-container {
    max-width: 80rem;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: clamp(3rem, 8vw, 6.75rem);
  }

  #sbs-faq .bcw-content {
    max-width: 40rem;
    margin: 0;
    width: 45%;
    text-align: left;
    align-items: flex-start;
  }
}